### Method

# Gimp Image policy_rotate

#### Declaration [src]

    gboolean
    gimp_image_policy_rotate (
      GimpImage* image,
      gboolean interactive
    )

#### Description [src]

Execute the "Orientation" metadata policy.

Process the image according to the rotation policy as set in Preferences. If GIMP is running as a GUI and interactive is TRUE, a dialog may be presented to the user depending on the set policy. Otherwise, if the policy does not mandate the action to perform, the image will be rotated following the Orientation metadata. If you wish absolutely to rotate a loaded image following the Orientation metadata, do not use this function and process the metadata yourself. Indeed even with `interactive` to FALSE, user settings may leave the image unrotated. Finally it is unnecessary to call this function in a format load procedure because this is called automatically by the core code when loading any image. You should only call this function explicitly when loading an image through a PDB call.

Available since: | 3.0

#### Parameters

`interactive` | `gboolean`
| Querying the user through a dialog is a possibility.

#### Return value

Returns: | `gboolean`
| TRUE on success.